POST /api/v3/energyproject/energyprojecttype

Create a energy project type

CreateEnergyProjectTypeV3 Permissions: FacilityProjects (Create)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

EnergyProjectTypeCreate
Property Description Type
energyProjectTypeCode The energy project type code Required Must be between 0 and 16 characters string
energyProjectTypeInfo The energy project type info Required Must be between 0 and 32 characters string
Example Request Body application/json
{  "energyProjectTypeCode": "string",  "energyProjectTypeInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EnergyProjectType
Property Description Type
energyProjectTypeCode The energy project type code string
energyProjectTypeId The energy project type identifier integer (int32)
energyProjectTypeInfo The energy project type info string
Example Response application/json
{  "energyProjectTypeCode": "string",  "energyProjectTypeId": 1,  "energyProjectTypeInfo": "string"
}